summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author fourtysixandtwo2022-11-12 12:47:43 +0100
committer Willy Sudiarto Raharjo2022-11-12 16:33:03 +0100
commit0077ab5beba9df621cd1361b9f247ceeb855d6da (patch)
tree9fca04d793c4a1d9ee79ca02736a920b468b849e /audio
parent53c2e5c55709617b75a166777aaf5fe6aaebfdf1 (diff)
downloadslackbuilds-0077ab5beba9df621cd1361b9f247ceeb855d6da.tar.gz
audio/acxi: Added (a command line audio processing tool)
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/acxi/README11
-rw-r--r--audio/acxi/acxi.SlackBuild86
-rw-r--r--audio/acxi/acxi.info10
-rw-r--r--audio/acxi/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/audio/acxi/README b/audio/acxi/README
new file mode 100644
index 0000000000..f952600fae
--- /dev/null
+++ b/audio/acxi/README
@@ -0,0 +1,11 @@
+acxi (a command line audio processing tool)
+
+acxi is a tool that syncs/converts lossless (flac, wav, raw) music
+libraries to compressed (mp3,ogg,opus) versions of the lossless
+library. It also can convert aif, raw, shn, and wav to flac. It also
+creates/checks md5, ffp files, tags your collection (read man page),
+embeds images, and much more.
+
+Optional deps:
+ -libfdk-aac (works better than ffmpeg native aac codec)
+ -shorten (for SHN -> FLAC conversion)
diff --git a/audio/acxi/acxi.SlackBuild b/audio/acxi/acxi.SlackBuild
new file mode 100644
index 0000000000..aa979556c8
--- /dev/null
+++ b/audio/acxi/acxi.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/bash
+
+# Slackware build script for acxi
+
+# Copyright 2022 fourtysixandtwo <fourtysixandtwo@sliderr.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=acxi
+VERSION=${VERSION:-3.5.05}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+cp -a $PRGNAM $PKG/usr/bin/$PRGNAM
+chown root:root $PKG/usr/bin/$PRGNAM
+chmod 755 $PKG/usr/bin/$PRGNAM
+mkdir -p $PKG/etc
+cp -a $PRGNAM.conf $PKG/etc/$PRGNAM.conf.example
+chmod 644 $PKG/etc/$PRGNAM.conf.example
+mkdir -p $PKG/usr/man/man1
+cp -a $PRGNAM.1 $PKG/usr/man/man1/$PRGNAM.1
+chown root:root $PKG/usr/man/man1/$PRGNAM.1
+chmod 644 $PKG/usr/man/man1/$PRGNAM.1
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.txt README.txt acxi.changelog auto.tag $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mv $PKG/usr/doc/$PRGNAM-$VERSION/auto.tag $PKG/usr/doc/$PRGNAM-$VERSION/auto.tag.example
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/audio/acxi/acxi.info b/audio/acxi/acxi.info
new file mode 100644
index 0000000000..7a79d9d30d
--- /dev/null
+++ b/audio/acxi/acxi.info
@@ -0,0 +1,10 @@
+PRGNAM="acxi"
+VERSION="3.5.05"
+HOMEPAGE="https://github.com/smxi/acxi"
+DOWNLOAD="https://github.com/smxi/acxi/archive/3.5.05/acxi-3.5.05.tar.gz"
+MD5SUM="9516828578e16d99e19431afd5eacb26"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="fourtysixandtwo"
+EMAIL="fourtysixandtwo@sliderr.net"
diff --git a/audio/acxi/slack-desc b/audio/acxi/slack-desc
new file mode 100644
index 0000000000..c88aec9daa
--- /dev/null
+++ b/audio/acxi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+acxi: acxi (a command line audio processing tool)
+acxi:
+acxi: acxi is a tool that syncs/converts lossless (flac, wav, raw) music
+acxi: libraries to compressed (mp3,ogg,opus) versions of the lossless
+acxi: library. It also can convert aif, raw, shn, and wav to flac. It also
+acxi: creates/checks md5, ffp files, tags your collection (read man page),
+acxi: embeds images, and much more.
+acxi:
+acxi:
+acxi: Home: https://github.com/smxi/acxi
+acxi: